# is_infinite

Checks if the provided absolute of the value is larger or equal to "infinite".

unsigned char is_infinite(lprec *lp, REAL value);

Return Value

is_infinite returns TRUE if the value is equal or larger to "infinite".

Parameters

lp

Pointer to previously created lp model. See return value of make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI

value

The value to check against "infinite".

Remarks

Note that the absolute of the provided value is checked against the value set by set_infinite.

Example

    #include <stdio.h>
    #include <stdlib.h>
    #include "lp_lib.h"

    int main(void)
    {
      lprec *lp;
      unsigned char infinite;

      /* Create a new LP model */
      lp = make_lp(0, 0);
      if(lp == NULL) {
        fprintf(stderr, "Unable to create new LP model\n");
        return(1);
      }

      infinite = is_infinite(lp, 1.0e31); /* will return TRUE */

      delete_lp(lp);
      return(0);
    }

lp_solve API reference

See Also make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI, set_infinite, get_infinite, set_epsint, get_epsint, set_epsb, get_epsb, set_epsd, get_epsd, set_epsel, get_epsel, get_epspivot, set_epspivot, set_epsperturb, get_epsperturb